/*
 * This is part of the doxml library, a parser for XML.  It should not
 *  require any functionality not defined in ANSI C's standard libraries.
 *
 * Copyright (C) 1999 John Stracke, http://www.thibault.org
 *
 * This library is free software; you can redistribute it and/or
 *  modify it under the terms of the GNU Library General Public License
 *  as published by the Free Software Foundation; either version 2 of
 *  the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful, but
 *  WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 *  Library General Public License for more details.
 *
 * You should have received a copy of the GNU Library General Public
 *  License along with this library; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA
 *  02111-1307, USA.
 *
 * $Log: push.c,v $
 * Revision 1.1  1999/07/24 20:24:17  francis
 * Adding support for param entities in the DTD
 *
 */

static const char* id="$Id: push.c,v 1.1 1999/07/24 20:24:17 francis Exp $";

#include <doxml/priv.h>

int doxml_context_push(doxml_context* context,
                       doxml_context* pushed)
{
  if (!context)
    {
      fprintf(stderr,"doxml_context_push(): context is NULL\n");
      return -1;
    }

  if (!pushed)
    {
      fprintf(stderr,"doxml_context_push(): pushed is NULL\n");
      return -1;
    }

  if (context->pushed)
    return doxml_context_push(context->pushed,pushed);
  else
    {
      context->pushed=pushed;
      return 0;
    }
}
